PROGRAM main

   USE mod_num_parms
   USE mod_dzeta_mt
   USE mod_int_imp


   IMPLICIT NONE
     
      REAL(kind=fp_kind) :: Msu1,Msu2,Msd1,Msd2,Msc1,Msc2,Mss1,Mss2, Mst1, Mst2, Msb1, Msb2, Mgl, Xt, muDec
      
      NAMELIST /susyqcd_parms/ Msu1,Msu2,Msd1,Msd2,Msc1,Msc2,Mss1,Mss2, Mst1, Mst2, Msb1, Msb2, Mgl, Xt, muDec
      
      REAL(kind=fp_kind) :: dzeta(2)

!! Reading in susy parameters       
      call susyqcd_parms_initialise

!! Evaluating zeta_mt coefficients
      dzeta(1) = dzeta_mt_1(Mst1,Mst2,Mgl,Xt,muDec)
      dzeta(2) = dzeta_mt_2(Mst1,Mst2,Msb1,Msb2,Msu1,Msu2,Msd1,Msd2,Mss1,Mss2,Msc1,Msc2,Mgl,Xt,muDec)

      WRITE(Write_unit,*) "(* { dzeta1L    , dzeta2L    }  = *)"
      WRITE(Write_unit,68) "    ", dzeta 
68    FORMAT(A,'{',F12.8,',',F12.8,'}')

CONTAINS     

   SUBROUTINE susyqcd_parms_initialise

      IMPLICIT NONE

      CHARACTER(len=100) :: filename
      INTEGER :: ierr

!!$  Code starts here

!!$  Read in the run time parameters

      filename = "susyqcd_parms.in"
      OPEN (UNIT=Read_unit,FILE=filename,FORM='FORMATTED', &
            STATUS='OLD',IOSTAT=ierr)
      IF (ierr /= 0) THEN
       WRITE (6,*) "No file "//TRIM(filename)
       STOP
      ENDIF

      REWIND (Read_unit)

      DO 
       READ(Read_unit,NML=susyqcd_parms,IOSTAT=ierr)
       IF (ierr == 0) EXIT
       READ(Read_unit,*)
      ENDDO

      CLOSE (Read_unit)

!$ Output parameter block
        WRITE(Write_unit,*) "(*"
        WRITE(Write_unit,*) "---------------------------"
        WRITE(Write_unit,66) " Msu1   = ", Msu1
        WRITE(Write_unit,66) " Msu2   = ", Msu2
        WRITE(Write_unit,66) " Msd1   = ", Msd1
        WRITE(Write_unit,66) " Msd2   = ", Msd2
        WRITE(Write_unit,66) " Msc1   = ", Msc1
        WRITE(Write_unit,66) " Msc2   = ", Msc2
        WRITE(Write_unit,66) " Mss1   = ", Mss1
        WRITE(Write_unit,66) " Mss2   = ", Mss2
        WRITE(Write_unit,66) " Mst1   = ", Mst1
        WRITE(Write_unit,66) " Mst2   = ", Mst2
        WRITE(Write_unit,66) " Msb1   = ", Msb1
        WRITE(Write_unit,66) " Msb2   = ", Msb2
        WRITE(Write_unit,66) " Mgl    = ", Mgl
        WRITE(Write_unit,66) " Xt     = ", Xt
        WRITE(Write_unit,66) " muDec  = ", muDec
        WRITE(Write_unit,*) "---------------------------"
        WRITE(Write_unit,*) "m_t^{DRbar,full} zeta_mt = m_t^{MSbar,(6)} "
        WRITE(Write_unit,*) "zeta_mt = 1+alpha^{full}_s(muDec)/(4 Pi) dzeta1L "
        WRITE(Write_unit,*) "          +(alpha^{full}_s(muDec)/(4 Pi))^2 dzeta2L "
        WRITE(Write_unit,*) "---------------------------"
        WRITE(Write_unit,*) "*)"

        
!         WRITE(Write_unit,66) " B0fin(Mst1,Mst2,0,muDec)   = ", B0fin(Mst1,Mst2,0.d0,muDec)
!         WRITE(Write_unit,66) " T0fin(Mst1,Mst2)   = ", T0fin(Mst1,Mst2)
!         WRITE(Write_unit,66) " T0fin(Mst2,Mst1)   = ", T0fin(Mst2,Mst1)        
        
65    FORMAT(A,D12.6)
66    FORMAT(A,E12.6)
67    FORMAT(A,"(",E12.8,",",E12.8,")")

   END SUBROUTINE susyqcd_parms_initialise
      
END PROGRAM main